#
# spec file for package python-attrs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-attrs
Version:        16.0.0
Release:        1.1
Summary:        Attributes without boilerplate
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/hynek/attrs/
Source:         https://pypi.io/packages/source/a/attrs/attrs-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
attrs is an MIT-licensed Python package with class decorators that ease the
chores of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and attrs gives you:
  - a nice human-readable __repr__,
  - a complete set of comparison methods,
  - an initializer,
  - and much more

without writing dull boilerplate code again and again.

This gives you the power to use actual classes with actual types in your code
instead of confusing tuples or confusingly behaving namedtuples.

So put down that type-less data structures and welcome some class into your
life!

python-attrs is the successor to python-characterstic

%prep
%setup -q -n attrs-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE README.rst
%{python_sitelib}/attr/
%{python_sitelib}/attrs-%{version}-py*.egg-info

%changelog
* Tue Jul  5 2016 hpj@urpla.net
- update to 16.0.0
  Backward-incompatible changes:
  * Python 3.3 and 2.6 aren’t supported anymore. They may work by chance but
    any effort to keep them working has ceased.
    The last Python 2.6 release was on October 29, 2013 and isn’t supported by
    the CPython core team anymore. Major Python packages like Django and Twisted
    dropped Python 2.6 a while ago already.
    Python 3.3 never had a significant user base and wasn’t part of any
    distribution’s LTS release.
  Changes:
  * __slots__ have arrived! Classes now can automatically be slots-style (and
    save your precious memory) just by passing slots=True. #35
  * Allow the case of initializing attributes that are set to init=False. This
    allows for clean initializer parameter lists while being able to initialize
    attributes to default values. #32
  * attr.asdict can now produce arbitrary mappings instead of Python dicts when
    provided with a dict_factory argument. #40 Multiple performance improvements.
* Thu Jun  2 2016 tbechtold@suse.com
- fix Source url
* Thu Jun  2 2016 jacobwinski@gmail.com
- Initial version
